
QGIS Application - Bug report #1377

Attribute table doesn't show any rows after shapefile update

2008-10-24 03:16 PM - jdenisgiguere -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11437

Description

When I add a feature to a shapefile dataset. I can't see the new feature in the attribute table.

If I close the attribute table, I can't see any dat in attribute table.

I must remove layer and add it back to get correct attribute table.

Step to reproduce:

    -  Open a shapefile containing point (I can give a simple dataset if it is useful)

    -  Open associated attribute table

    -  Make layer editable

    -  Select a point

    -  Copy the point

    -  Paste the point

    -  Look for the duplicate point in attribute table (you won't see it)

    -  Close attribute table

    -  Open attribute table (you won't see any row)

I'm using svn trunk r9537 on ubuntu 8.04

Associated revisions

Revision a947a791 - 2008-11-08 08:05 PM - Jürgen Fischer

partly fix #1377, #1382 and #1306

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9598 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 227f3814 - 2008-11-08 08:05 PM - Jürgen Fischer

partly fix #1377, #1382 and #1306

git-svn-id: http://svn.osgeo.org/qgis/trunk@9598 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-11-08 11:09 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

relate to #1306.  should be fixed in commit:227f3814 (SVN r9599)
#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
